package com.ziplinegreen.vault.Service;


import com.ziplinegreen.vault.Model.Post;
import com.ziplinegreen.vault.Repository.PostRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

@Service
public class PostService {

    private PostRepository postRepository;

    @Autowired
    public PostService(PostRepository postRepository) {
        this.postRepository = postRepository;
    }

    public ResponseEntity<Post> createPost(Post post){
        return new ResponseEntity<>(postRepository.save(post), HttpStatus.CREATED);
    }

    public ResponseEntity<Post> deletePost(Long id){
        Post post = postRepository.getOne(id);
        postRepository.delete(post);
        return new ResponseEntity<>(HttpStatus.OK);
    }
}

