package com.ziplinegreen.vault.Service;

import com.ziplinegreen.vault.Controller.PostController;
import com.ziplinegreen.vault.Model.Post;
import com.ziplinegreen.vault.Model.User;
import com.ziplinegreen.vault.Repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import javax.xml.ws.Response;

@Service
public class UserService {

    private UserRepository userRepository;
    private PostController postController;

    @Autowired
    public UserService(UserRepository userRepository, PostController postController) {
        this.userRepository = userRepository;
        this.postController = postController;
    }

    public ResponseEntity<User> createUser(User user){
        return new ResponseEntity<>(userRepository.save(user), HttpStatus.CREATED);
    }

    public ResponseEntity<User> deleteUser(Long id){
        User user = userRepository.getOne(id);
        userRepository.delete(user);
        return new ResponseEntity<>(HttpStatus.OK);
    }

//    public ResponseEntity<User> updatePost(Long userId){
//        User user = userRepository.getOne(userId);
//
//    }

}
